# setUuidRangeBuilder static method

void setUuidRangeBuilder(

1. UuidRangeBuilder rangeBuilder

)

Sets the random number generator for UUID generation.

Parameters:

- `rangeBuilder`: The random number generator to use

This method allows customizing the random number generation strategy used for generating UUIDs. The default is `CryptoUuidRangeBuilder`.

## Example

    Uuid.setUuidRangeBuilder(MathUuidRangeBuilder());
    final uuid = Uuid.randomUuid();

## Implementation

    static void setUuidRangeBuilder(UuidRangeBuilder rangeBuilder) {
      _rangeBuilder = rangeBuilder;
    }